package com.zhiLian.vehicle.domain.req;

import com.zhiLian.common.core.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;

/**
 * 车辆故障码对象 fault_code
 *
 * @author hbr
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FaultCodeQueryReq", description = "车辆故障码")
public class FaultCodeQueryReq  {

    private static final long serialVersionUID = 1L;

    /** 故障码 */
    @ApiModelProperty(name = "故障码", value = "故障码")
    private String faultCode;

}
