package com.zhiLian.vehicle.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 故障记录对象 fault_record
 *
 * @author hbr
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FaultRecordReqVo {

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date max;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date min;



}
