package com.zhiLian.vehicle.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiLian.vehicle.domain.FaultRecord;
import com.zhiLian.vehicle.domain.req.FaultRecordReqVo;
import com.zhiLian.vehicle.domain.vo.FaultRecordVo;

/**
 * 故障记录Mapper接口
 *
 * @author chx
 * @date 2024-06-20
 */
public interface FaultRecordMapper extends BaseMapper<FaultRecord> {

    void updateByFaultRecord(FaultRecord build);

    FaultRecord getByFaultRecord(FaultRecord faultRecord);

    List<FaultRecordVo> countList(FaultRecordReqVo recordReqVo);


}
