package com.zhiLian.vehicle.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiLian.vehicle.domain.FaultRecord;
import com.zhiLian.vehicle.domain.req.FaultRecordReqVo;
import com.zhiLian.vehicle.domain.vo.FaultRecordVo;

/**
 * 故障记录Service接口
 *
 * @author chx
 * @date 2024-06-20
 */
public interface FaultRecordService extends IService<FaultRecord> {
    /**
     * 查询故障记录列表
     *
     * @param faultRecord 故障记录
     * @return 故障记录集合
     */
    public List<FaultRecord> list(FaultRecord faultRecord);

    void updateByFaultRecord(FaultRecord build);

    FaultRecord getByFaultRecord(FaultRecord faultRecord);

    List<FaultRecordVo> countList(FaultRecordReqVo recordReqVo);

}
