package com.zhiLian.vehicle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiLian.common.core.domain.Result;
import com.zhiLian.vehicle.domain.MessageDetail;
import com.zhiLian.vehicle.domain.VehicleMessage;
import com.zhiLian.vehicle.domain.vo.VehicleMessageVo;

import java.util.List;

/**
 * 报文详情Service接口
 *
 * @author chx
 * @date 2024-06-26
 */
public interface MessageDetailService extends IService<MessageDetail> {
    /**
     * 查询报文详情列表
     *
     * @param messageDetail 报文详情
     * @return 报文详情集合
     */
    public List<MessageDetail> list(MessageDetail messageDetail);

    Result addMessageIds(VehicleMessage vehicleMessageVo);


}
