package com.zhiLian.vehicle.domain.req;


import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;


/**
 * 报文详情对象 message_detail
 *
 * @author chx
 * @date 2024-06-26
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "MessageDetailQueryReq", description = "报文详情")
public class MessageDetailQueryReq{

    private static final long serialVersionUID = 1L;
    /** 指标项key */
    @ApiModelProperty(name = "指标项key", value = "指标项key")
    private String keyCode;

    /** 起始位 */
    @ApiModelProperty(name = "起始位", value = "起始位")
    private Long startBit;

    /** 终止位 */
    @ApiModelProperty(name = "终止位", value = "终止位")
    private Long stopBit;

    /** 指标项标签 */
    @ApiModelProperty(name = "指标项标签", value = "指标项标签")
    private String label;

    /** 类型 */
    @ApiModelProperty(name = "类型", value = "类型")
    private String type;

}
