package com.zhiLian.vehicle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiLian.vehicle.domain.FaultCode;

import java.util.List;

/**
 * 车辆故障码Service接口
 *
 * @author chx
 * @date 2024-06-20
 */
public interface FaultCodeService extends IService<FaultCode> {
    /**
     * 查询车辆故障码列表
     *
     * @param faultCode 车辆故障码
     * @return 车辆故障码集合
     */
    public List<FaultCode> list(FaultCode faultCode);

}
